package com.bocloud.sms.booter.controller;

import com.bocloud.sms.interfaces.TrxService;
import com.bocloud.sms.model.TrxAuthModel;
import com.megatron.common.model.GeneralResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.servlet.http.HttpServletRequest;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/v1/trx")
@Tag(name = "系统升级")
@Slf4j
public class TrxController {

    @Autowired
    private TrxService trxService;

    /**
     * 单点登录验证token
     *
     * @param ngxCookie
     * @return randomstr
     */
    @GetMapping("/randomstr")
    @Operation(summary = "获取Randomstr")
    public GeneralResult<String> getRandomstr(@RequestParam(value = "ngxCookie") String ngxCookie) {
        GeneralResult generalResult = trxService.getRandomstr(ngxCookie);
        return generalResult;
    }

    @PostMapping("/login")
    @Operation(summary = "用户登录")
    public GeneralResult<String> getAuthToken(@RequestBody TrxAuthModel trxAuthModel,
                                              HttpServletRequest request) {
        trxAuthModel.setClientIp(request.getRemoteAddr());
        GeneralResult generalResult = trxService.getAuthToken(trxAuthModel);
        return generalResult;
    }

    @PostMapping("/logout")
    @Operation(summary = "天融信用户登出")
    public GeneralResult<String> logout(@RequestBody TrxAuthModel trxAuthModel,
                                        HttpServletRequest request) {
        trxAuthModel.setClientIp(request.getRemoteAddr());
        GeneralResult generalResult = trxService.logout(trxAuthModel);
        return generalResult;
    }
}
