package com.bocloud.sms.interfaces;

import com.bocloud.sms.entity.Environment;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * 环境实体类Service
 *
 * @author wangshuai
 * @version 4.1.0-SNAPSHOT
 * @since 2018/12/24
 */
public interface EnvironmentService {


    GeneralResult<GridBean<Environment>> list(Pager pager, RequestContext context);

    /**
     * 移除所属环境
     *
     * @param id
     * @param context
     * @return
     */
    GeneralResult remove(Long id, RequestContext context);

    /**
     * 查询环境详情
     *
     * @param id
     * @return
     */
    GeneralResult<Environment> detail(Long id);

    /**
     * 创建环境
     *
     * @param environment
     * @param context
     * @return
     */
    GeneralResult<Environment> create(Environment environment, RequestContext context);

    /**
     * 修改环境
     *
     * @param bean
     * @param context
     * @return
     */
    GeneralResult<Environment> modify(Environment bean, RequestContext context);

}
