package com.bocloud.sms.interfaces;

import com.alibaba.fastjson.JSONArray;
import com.bocloud.sms.entity.SystemConfig;
import com.bocloud.sms.model.ConfigModel;
import com.megatron.common.exception.InternalServerException;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;
import com.megatron.common.model.Result;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * @author lyy
 * @Version 1.0
 * @since 2017年8月18日
 */
public interface SystemConfigService {

    /**
     * 更新系统配置
     *
     * @param systemConfig
     * @return
     */
    Result modify(SystemConfig systemConfig) throws InternalServerException;

    /**
     * 批量修改
     *
     * @param list
     * @param requestContext
     * @return
     */
    Result batchUpdate(List<ConfigModel> list, Map<String, MultipartFile> fileMap, RequestContext requestContext);

    Result syncLdap();

    GeneralResult<Map<String, String>> listConfigs(String category, List<String> codes);

    GeneralResult<JSONArray> listCategoryTree(String category);

    /**
     * 系统配置测试连接
     *
     * @param category
     * @return
     */
    Result configTest(String category);
}
