package com.bocloud.sms.interfaces;

import com.bocloud.sms.entity.Permission;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

import java.util.List;
import java.util.Map;

/**
 * 用户权限
 *
 * @author zhangyf
 */
public interface UserPermissionService {

    /**
     * 查询用户权限树形列表
     *
     * @param context 当前用户
     * @return 用户权限树形列表
     */
    GeneralResult<Map<String, Object>> listPermissions(RequestContext context);


    /**
     * 按钮权限列表
     *
     * @param context 当前用户
     * @return 按钮权限列表
     */
    List<Permission> listButtonPermissions(RequestContext context);
}
