package com.bocloud.sms.service;

import com.bocloud.sms.entity.PortalElementPool;
import com.bocloud.sms.interfaces.PortalElementPoolService;
import com.bocloud.sms.repository.PortalElementConfigRepository;
import com.bocloud.sms.repository.PortalElementPoolRepository;
import com.megatron.common.model.GeneralResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lyy
 */
@Service
@Slf4j
public class PortalElementPoolServiceImpl implements PortalElementPoolService {
    @Autowired
    private PortalElementPoolRepository portalElementPoolRepository;
    @Autowired
    private PortalElementConfigRepository portalElementConfigRepository;

    @Override
    public GeneralResult list(String module) {
        try {
            List<PortalElementPool> pools = this.portalElementPoolRepository.listPortalElementPool(module);
            for (PortalElementPool portalElementPool : pools) {
                portalElementPool.setProperties(portalElementConfigRepository.list(portalElementPool.getId()));
            }
            return new GeneralResult(true, pools, "查询成功");
        } catch (Exception e) {
            log.error("Query Portal Element Pool error:", e);
            return new GeneralResult(false, "查询失败");
        }
    }

}
