package com.bocloud.sms.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 首页配置
 *
 * @author lyy
 * @version 2.0
 * @since 2017年12月27日
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("portal_panel")
public class PortalPanel extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 首页所有配置
     */
    @Column("config")
    private String config;
    /**
     * 坐标
     */
    @Column("location")
    private String location;
    /**
     * 修改人id
     */
    @Column("mender_id")
    private Long menderId;
    /**
     * 修改时间
     */
    @Column("gmt_modify")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;
    /**
     * 创建时间
     */
    @Column("gmt_create")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    /**
     * 创建人
     */
    @Column("creator_id")
    private Long creatorId;
    @Column("tenant_id")
    private Long tenantId;
    /**
     * 是否删除
     */
    @Column("is_deleted")
    private Boolean deleted;

    @Column("project_id")
    private Long projectId;
    /**
     * 模块
     */
    @Column("module")
    private String module;

}
