package com.bocloud.sms.model;


import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import lombok.Data;

import java.io.IOException;


/**
 * 主页配置bean实体类
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月27日
 */
@Data
public class PortalPanelBean {

    private Long id;
    @JsonDeserialize(using = JsonToStringDeserializer.class)
    private String config;
    private String module;


    public static class JsonToStringDeserializer extends JsonDeserializer<String> {
        @Override
        public String deserialize(JsonParser jsonParser,
                                  DeserializationContext deserializationContext) throws IOException {
            if(jsonParser == null){
                return null;
            }
            JsonNode node = jsonParser.getCodec().readTree(jsonParser);
            if(node == null){
                return null;
            }
            return node.toString();
        }
    }
}
