package com.bocloud.sms.repository;

import com.bocloud.sms.entity.ApiPermission;
import com.megatron.common.exception.DataBaseException;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * ApiPermission
 *
 * @author hya
 * @since 2022-03-02
 */
@Repository
public class ApiPermissionRepository extends BasicGenericDao<ApiPermission, Long> {

    @Autowired
    public ApiPermissionRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    /**
     * 查询角色权限Api
     *
     * @author hya
     * @since 2022-03-02
     */
    public List<ApiPermission> listRoleApiPermission(List<Long> roleIds) throws DataBaseException {
        if (roleIds.isEmpty()) {
            return new ArrayList<>();
        }
        String sql = "select a.* from api_permission a where a.role_id in (:roleIds) ";
        Map<String, Object> params = MapTools.simpleMap("roleIds", roleIds);
        return super.list(ApiPermission.class, sql, params);
    }
}
