package com.bocloud.sms.repository;

import com.bocloud.sms.entity.ManagerRole;
import com.megatron.common.exception.DataBaseException;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * 管理员角色关系
 *
 * @author hya
 * @since 2022-03-02
 */
@Repository
public class ManagerRoleRepository extends BasicGenericDao<ManagerRole, Long> {

    @Autowired
    public ManagerRoleRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public boolean unBindManagerRole(Long managerId) throws DataBaseException {
        String sql = "delete from manager_role where manager_id = :managerId";
        Map<String, Object> params = MapTools.simpleMap("managerId", managerId);
        return super.execute(sql, params) > 0;
    }


}
